package com.ca.dso.itpam.webservice.cli;

public class ItpamWebServiceCLIConstants {
	
/**	Public string constant required by CA																			*/
	public static final String CACOPYRIGHT = "(c) 2009 CA.  All rights reserved.";
	
	protected final static String ARG_NAME_ABSOLUTE_PATH = "setAbsolutePath";
	
	protected final static String ARG_NAME_ACTION = "action";
	
	protected final static String ARG_NAME_ACTION_FILE = "actionFile";
	
	protected final static String ARG_NAME_ALLOW_PARTIAL_MATCH = "allowPartialMatch";
	
	protected final static String ARG_NAME_ATTACHMENT_ID = "attachmentId";
	
	protected final static String ARG_NAME_ATTACHMENT_PARAMETER_NAME = "attachmentParameterName";
	
	protected final static String ARG_NAME_ATTACHMENT_NAME = "attachmentName";
	
	protected final static String ARG_NAME_CATEGORY = "category";
	
	protected final static String ARG_NAME_CONNNECTION_ID = "connectionId";
	
	protected final static String ARG_NAME_CONTENT_ID = "contentId";
	
	protected final static String ARG_NAME_CONTENT_TYPE = "contentType";
	
	protected final static String ARG_NAME_DESCRIPTION = "description";
	
	protected final static String ARG_NAME_EARLIEST_START_DATE = "earliestStartDate";
	
	protected final static String ARG_NAME_ENABLE_PATTERN_MATCH = "enablePatternMatch";
	
	protected final static String ARG_NAME_END_DATE = "endDate";
	
	protected final static String ARG_NAME_EVENT_CREATION_TIME = "eventCreationTime";
	
	protected final static String ARG_NAME_EVENT_DESTINATION = "eventDestination";
	
	protected final static String ARG_NAME_EVENT_EXPIRATION_DURATION = "eventExpirationDuration";
	
	protected final static String ARG_NAME_EVENT_EXPIRATION_TIME = "eventExpirationTime";
	
	protected final static String ARG_NAME_EVENT_EXPRESSION = "eventExpression";
	
	protected final static String ARG_NAME_EVENT_NAME = "eventName";
	
	protected final static String ARG_NAME_EVENT_PAYLOAD = "eventPayload";
	
	protected final static String ARG_NAME_EVENT_SINGLE_SUBSCRIBER = "eventSingleSubscriber";
	
	protected final static String ARG_NAME_EVENT_SOURCE = "eventSource";
	
	protected final static String ARG_NAME_EVENT_TYPE = "eventType";
	
	protected final static String ARG_NAME_EVENT_USER = "eventUser";
	
	protected final static String ARG_NAME_IMPORT_MAKE_AVAILABLE = "importMakeAvailable";
	
	protected final static String ARG_NAME_IMPORT_MAKE_CURRENT = "importMakeCurrent";
	
	protected final static String ARG_NAME_IMPORT_OVERWRITE_ACTION = "importOverwriteAction";
	
	protected final static String ARG_NAME_IMPORT_SOURCE_PATH_FILE_NAME = "importSourcePathFileName";
	
	protected final static String ARG_NAME_IMPORT_TARGET_LIBRARY_PATH_NAME = "importTargetLibraryPathName";
	
	protected final static String ARG_NAME_INTERACTION_ID = "interactionId";
	
	protected final static String ARG_NAME_ITPAM_PASSWORD = "password";
	
	protected final static String ARG_NAME_ITPAM_URI = "uri";
	
	protected final static String ARG_NAME_ITPAM_USER = "user";
	
	protected final static String ARG_NAME_ITPAM_VERSION = "version";
	
	protected final static String ARG_NAME_KEYWORD = "keyword";
	
	protected final static String ARG_NAME_LEVEL = "level";
	
	protected final static String ARG_NAME_LEVELS_TO_SEARCH = "levelsToSearch";
	
	protected final static String ARG_NAME_LOG_LEVEL = "logLevel";
	
	protected final static String ARG_NAME_MESSAGE = "message";
	
	protected final static String ARG_NAME_MESSAGE_STATUS = "messageStatus";
	
	protected final static String ARG_NAME_OBJECT_TYPE = "objectType";
	
	protected final static String ARG_NAME_OUTPUT_FORMAT = "outputFormat";
	
	protected final static String ARG_NAME_OVERWRITE_TARGET_FILE = "overwriteTargetFile";
	
	protected final static String ARG_NAME_PROCESS_DISPLAY_NAME = "processDisplayName";
	
	protected final static String ARG_NAME_PROCESS_ID = "processId";
	
	protected final static String ARG_NAME_PROCESS_INSTANCE_NAME = "processInstanceName";
	
	protected final static String ARG_NAME_PROCESS_LIBRARY_PATH_NAME = "processLibraryPathName";

	protected final static String ARG_NAME_PROCESS_NAME = "processName";
	
	protected final static String ARG_NAME_PROCESS_STATE = "processState";
	
	protected final static String ARG_NAME_RECUSIVE = "recursive";
	
	protected final static String ARG_NAME_SEARCH_PATH = "searchPath";
	
	protected final static String ARG_NAME_SENDER_ADDRESS = "senderAddress";
	
	protected final static String ARG_NAME_SOURCE_LIBRARY_PATH = "sourceLibraryPath";
	
	protected final static String ARG_NAME_START_DATE = "startDate";
	
	protected final static String ARG_NAME_START_REQUEST_ID = "startRequestId";
	
	protected final static String ARG_NAME_PRIORITY = "priority";
	
	protected final static String ARG_NAME_TAG_ID = "tagId";
	
	protected final static String ARG_NAME_INSTANCE_ID = "instanceId";
	
	protected final static String ARG_NAME_ROOT_UUID = "rootUuid";
								
	protected final static String ARG_NAME_IS_AUTO_ARCHIVE = "isAutoArchive";
	
	protected final static String ARG_NAME_START_REQUEST_NAME = "startRequestName";
	
	protected final static String ARG_NAME_START_REQUEST_PATH = "startRequestPath";
	
	protected final static String ARG_NAME_START_REQUEST_STATE = "startRequestState";
	
	protected final static String ARG_NAME_START_TIME = "startTime";
	
	protected final static String ARG_NAME_SUBMISSION_TIME = "submissionTime";
	
	protected final static String ARG_NAME_TARGET_FILE_NAME = "targetFileName";
	
	protected final static String ARG_NAME_TARGET_PATH = "targetPath";
	
	protected final static String ARG_NAME_TARGET_PATH_IS_LOCAL = "targetPathIsLocal";
	
	protected final static String ARG_NAME_TIME_STAMP = "timeStamp";
	
	protected final static String ARG_NAME_TRUST_STORE = "truststore";
	
	protected final static String ARG_NAME_TRUST_STORE_PASSWORD = "truststorepassword";
	
	protected final static String ARG_PREFIX_ATTACHMENT = "attach.";

	protected final static String ARG_PREFIX_PARAMETER	= "param.";
	
	protected final static String OUTPUT_FORMAT_PROPERTIES = "properties";
	
	protected final static String OUTPUT_FORMAT_XML = "xml";
	
	protected final static String DEFAULT_LOG_LEVEL = "info";
	
	protected final static String DEFAULT_OUTPUT_FORMAT = OUTPUT_FORMAT_PROPERTIES;
	
	protected final static String DEFAULT_USAGE_RESOURCE_BUNDLE_NAME = ItpamWebServiceCLI.class.getPackage().getName().concat(".resource.Usage");
	
	protected final static String DELIMITER_PROPERTIES = System.getProperty("line.separator");
	
	protected final static String DELIMITER_XML_ELEMENT = System.getProperty("line.separator");
	
	protected final static String DELIMITER_XML_INDENT = "\t";
	
	protected final static String LIST_ACTIONS_CLIENT_NOT_REQUIRED = "getServiceConfig, setServiceConfig";
	
	protected final static String LOG_LAYOUT = "%d{ISO8601}, %p, %m, %C, %M, %L %n";
	
	protected final static int LOG_MAX_BACKUPS = 10;
	
	protected final static String LOG_MAX_FILE_SIZE = "2MB";
	
	protected final static String LOG_PATH_FILE = "./log/caitpamws.log";
	
	protected final static String SERVER_CONFIG_FILE = "./config/server.cfg";
	
	protected final static String SERVER_CONFIG_PATH = "./config/";
}
